import 'package:flutter/material.dart';
import 'package:flutter_helper/src/View/password_text_field_view.dart';

class OutlinedPasswordTextFieldView extends StatelessWidget {
  final TextEditingController? controller;
  final FormFieldValidator<String>? validator;
  final Function(String)? onChanged;
  final String? initialValue;
  final String? label;

  const OutlinedPasswordTextFieldView({
    this.controller,
    this.validator,
    this.onChanged,
    this.initialValue,
    this.label
  });

  @override
  Widget build(BuildContext context) {
    return PasswordTextFieldView(
      onChanged: onChanged,
      controller: controller,
      validator: validator,
      border: OutlineInputBorder(),
      initialValue: initialValue,
      label: label,
    );
  }
}
